diff -uNr squid-2.5.STABLE1.orig/src/cf.data.pre squid-2.5.STABLE1-log_full_uri/src/cf.data.pre
--- squid-2.5.STABLE1.orig/src/cf.data.pre	2002-09-04 21:35:01.000000000 +0800
+++ squid-2.5.STABLE1-log_full_uri/src/cf.data.pre	2003-01-01 01:42:30.000000000 +0800
@@ -812,6 +812,14 @@
 	every HTTP and ICP queries received. To disable, enter "none".
 DOC_END
 
+NAME: log_full_uri
+TYPE: int
+DEFAULT: 0
+LOC: Config.Log.log_full_uri
+DOC_START
+	Logs the full request url in access logs.
+	To enable, set the options to 1
+DOC_END
 
 NAME: cache_log
 TYPE: string
diff -uNr squid-2.5.STABLE1.orig/src/client_side.c squid-2.5.STABLE1-log_full_uri/src/client_side.c
--- squid-2.5.STABLE1.orig/src/client_side.c	2002-09-23 12:04:03.000000000 +0800
+++ squid-2.5.STABLE1-log_full_uri/src/client_side.c	2003-01-01 01:18:48.000000000 +0800
@@ -788,7 +788,10 @@
 	mem = http->entry->mem_obj;
     if (http->out.size || http->log_type) {
 	http->al.icp.opcode = ICP_INVALID;
-	http->al.url = http->log_uri;
+	if(Config.Log.log_full_uri)
+	    http->al.url = http->uri;
+	else
+	    http->al.url = http->log_uri;
 	debug(33, 9) ("httpRequestFree: al.url='%s'\n", http->al.url);
 	if (mem) {
 	    http->al.http.code = mem->reply->sline.status;
diff -uNr squid-2.5.STABLE1.orig/src/structs.h squid-2.5.STABLE1-log_full_uri/src/structs.h
--- squid-2.5.STABLE1.orig/src/structs.h	2002-09-08 07:11:23.000000000 +0800
+++ squid-2.5.STABLE1-log_full_uri/src/structs.h	2003-01-01 01:06:18.000000000 +0800
@@ -448,6 +448,7 @@
     struct {
 	char *log;
 	char *access;
+	int log_full_uri;
 	char *store;
 	char *swap;
 #if USE_USERAGENT_LOG

